Cantera 2.6.0

Namespaces | Functions
KineticsFactory.cpp File Reference
`#include "cantera/kinetics/KineticsFactory.h"`
`#include "cantera/kinetics/GasKinetics.h"`
`#include "cantera/kinetics/InterfaceKinetics.h"`
`#include "cantera/kinetics/EdgeKinetics.h"`
`#include "cantera/kinetics/importKinetics.h"`
`#include "cantera/thermo/ThermoPhase.h"`
`#include "cantera/base/xml.h"`
`#include "cantera/base/stringUtils.h"`
Include dependency graph for KineticsFactory.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
unique_ptr< Kinetics > | newKinetics (const vector< ThermoPhase * > &phases, const AnyMap &phaseNode, const AnyMap &rootNode)
unique_ptr< Kinetics > | newKinetics (const std::vector< ThermoPhase * > &phases, const std::string &filename, const std::string &phase_name)
void | addReactions (Kinetics &kin, const AnyMap &phaseNode, const AnyMap &rootNode)